/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package main;

import java.awt.AWTException;
import javafx.application.Application;
import javafx.application.Launcher;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;
import javafx.event.EventHandler;
import javafx.geometry.Side;
import javafx.scene.Scene;
import javafx.scene.control.MenuButton;
import javafx.scene.control.MenuItem;
import javafx.scene.input.KeyCode;
import javafx.scene.input.KeyEvent;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;
import org.jemmy.client.Browser;

public class Main extends Application {

    VBox root;

    @Override
    public void start(Stage stage) {
        stage.setTitle(this.getClass().getSimpleName());
        stage.setScene(new ToolBarAppScene());
        stage.setVisible(true);
    }

    public static void main(String[] args) {
        Launcher.launch(Main.class, args);
    }

    public class ToolBarAppScene extends Scene {
        public ToolBarAppScene() {
            super(root = new VBox(10), 100, 100);

            final MenuButton menu_button = new MenuButton("Menu Button");
            menu_button.showingProperty().addListener(new ChangeListener<Boolean>() {
                public void changed(ObservableValue<? extends Boolean> ov, Boolean t, Boolean t1) {
                    System.out.println(t1);
                    System.out.println(menu_button.isShowing());
                }
            });

            menu_button.getItems().add(new MenuItem("Item 1"));
            menu_button.getItems().add(new MenuItem("Item 2"));

            menu_button.setPopupSide(Side.TOP);
            
            root.getChildren().add(menu_button);
        }
    }
}
